[SCM] Samba Shared Repository - branch master updated

Martin Schwenke martins at samba.org
Fri Mar 27 02:17:02 MDT 2015


The branch, master has been updated
       via  079575d ctdb-tests: Switch to tcp check in rpcinfo stub
       via  14886ed ctdb-scripts: Use tcp connection for checking RPC services
       via  130202d ctdb-scripts: Respect $RPCMOUNTDOPTS when restarting rpc.mountd
       via  62ba95a ctdb-daemon: Drop tunable that is no longer in use
       via  41ed26c ctdb-recoverd: Fix typo in comment
      from  0c7b69b selftest: Use 'logging' parameter instead of 'syslog'

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 079575d80f5b28e452abf80efc4d005fb6dac270
Author: Amitay Isaacs <amitay at gmail.com>
Date:   Fri Mar 27 12:00:56 2015 +1100

    ctdb-tests: Switch to tcp check in rpcinfo stub
    
    Use -T tcp instead of deprecated options -u and -t.  Also, check for
    localhost.
    
    Signed-off-by: Amitay Isaacs <amitay at gmail.com>
    Reviewed-by: Martin Schwenke <martin at meltin.net>
    
    Autobuild-User(master): Martin Schwenke <martins at samba.org>
    Autobuild-Date(master): Fri Mar 27 09:16:50 CET 2015 on sn-devel-104

commit 14886ed00c998c2ac4deb70f650584e9b371345d
Author: Amitay Isaacs <amitay at gmail.com>
Date:   Fri Mar 27 12:04:03 2015 +1100

    ctdb-scripts: Use tcp connection for checking RPC services
    
    It's possible for a RPC service to register only for UDP and not TCP.
    Since we assume all the NFS operations are over TCP, always check RPC
    services over TCP.
    
    Signed-off-by: Amitay Isaacs <amitay at gmail.com>
    Reviewed-by: Martin Schwenke <martin at meltin.net>

commit 130202d635d8712575fa201a12ef257f4278b862
Author: Martin Schwenke <martin at meltin.net>
Date:   Tue Mar 24 20:12:51 2015 +1100

    ctdb-scripts: Respect $RPCMOUNTDOPTS when restarting rpc.mountd
    
    $RPCMOUNTDOPTS is ignored when restarting rpc.statd due to the service
    being unresponsive.  This variable can be used to increase the number
    of rpc.mountd threads when there are a lot of clients reattaching so
    ignoring it can mean that only a single rpc.mount thread is started.
    
    Signed-off-by: Martin Schwenke <martin at meltin.net>
    Reviewed-by: Amitay Isaacs <amitay at gmail.com>

commit 62ba95a9f347d2ac0e4fb53dc62b94f557e17e8b
Author: Amitay Isaacs <amitay at gmail.com>
Date:   Wed Jul 30 14:31:54 2014 +1000

    ctdb-daemon: Drop tunable that is no longer in use
    
    Signed-off-by: Amitay Isaacs <amitay at gmail.com>
    Reviewed-by: Martin Schwenke <martin at meltin.net>

commit 41ed26cbf7b81e372ea0b5cc3d96dfe217a0cf58
Author: Amitay Isaacs <amitay at gmail.com>
Date:   Wed Jul 30 12:32:08 2014 +1000

    ctdb-recoverd: Fix typo in comment
    
    Signed-off-by: Amitay Isaacs <amitay at gmail.com>
    Reviewed-by: Martin Schwenke <martin at meltin.net>

-----------------------------------------------------------------------

Summary of changes:
 ctdb/config/functions                 |  5 +++--
 ctdb/include/ctdb_private.h           |  1 -
 ctdb/server/ctdb_takeover.c           |  4 ++--
 ctdb/server/ctdb_tunables.c           |  1 -
 ctdb/tests/eventscripts/stubs/rpcinfo | 20 ++++++++++----------
 5 files changed, 15 insertions(+), 16 deletions(-)


Changeset truncated at 500 lines:

diff --git a/ctdb/config/functions b/ctdb/config/functions
index da267d2..1b2384e 100755
--- a/ctdb/config/functions
+++ b/ctdb/config/functions
@@ -409,7 +409,8 @@ _nfs_restart_rpc_service ()
 	    echo "Trying to restart $_prog_name [${_p}]"
 	    killall -q -9 "$_p"
 	    nfs_dump_some_threads "$_p"
-	    $_maybe_background $_p ${MOUNTD_PORT:+-p} $MOUNTD_PORT
+	    $_maybe_background $_p $RPCMOUNTDOPTS \
+			       ${MOUNTD_PORT:+-p} $MOUNTD_PORT
 	    ;;
 	rquotad)
 	    echo "Trying to restart $_prog_name [${_p}]"
@@ -448,7 +449,7 @@ ctdb_check_rpc ()
 
     _localhost="${CTDB_RPCINFO_LOCALHOST:-127.0.0.1}"
 
-    if ! ctdb_check_rpc_out=$(rpcinfo -u $_localhost $progname $version 2>&1) ; then
+    if ! ctdb_check_rpc_out=$(rpcinfo -T tcp $_localhost $progname $version 2>&1) ; then
 	ctdb_check_rpc_out="ERROR: $progname failed RPC check:
 $ctdb_check_rpc_out"
 	echo "$ctdb_check_rpc_out"
diff --git a/ctdb/include/ctdb_private.h b/ctdb/include/ctdb_private.h
index 3248a56..b37d5bb 100644
--- a/ctdb/include/ctdb_private.h
+++ b/ctdb/include/ctdb_private.h
@@ -106,7 +106,6 @@ struct ctdb_tunable {
 	uint32_t repack_limit;
 	uint32_t vacuum_limit;
 	uint32_t max_queue_depth_drop_msg;
-	uint32_t use_status_events_for_monitoring;
 	uint32_t allow_unhealthy_db_read;
 	uint32_t stat_history_interval;
 	uint32_t deferred_attach_timeout;
diff --git a/ctdb/server/ctdb_takeover.c b/ctdb/server/ctdb_takeover.c
index f8369da..2b274f7 100644
--- a/ctdb/server/ctdb_takeover.c
+++ b/ctdb/server/ctdb_takeover.c
@@ -2807,12 +2807,12 @@ int ctdb_takeover_run(struct ctdb_context *ctdb, struct ctdb_node_map *nodemap,
 	}
 
 ipreallocated:
-	/* 
+	/*
 	 * Tell all nodes to run eventscripts to process the
 	 * "ipreallocated" event.  This can do a lot of things,
 	 * including restarting services to reconfigure them if public
 	 * IPs have moved.  Once upon a time this event only used to
-	 * update natwg.
+	 * update natgw.
 	 */
 	retry_data = talloc_zero_array(tmp_ctx, bool, nodemap->num);
 	CTDB_NO_MEMORY_FATAL(ctdb, retry_data);
diff --git a/ctdb/server/ctdb_tunables.c b/ctdb/server/ctdb_tunables.c
index e5ccf10..031e60f 100644
--- a/ctdb/server/ctdb_tunables.c
+++ b/ctdb/server/ctdb_tunables.c
@@ -64,7 +64,6 @@ static const struct {
 	{ "VacuumLimit",       5000,  offsetof(struct ctdb_tunable, vacuum_limit), false },
 	{ "VacuumFastPathCount", 60, offsetof(struct ctdb_tunable, vacuum_fast_path_count), false },
 	{ "MaxQueueDropMsg",  1000000, offsetof(struct ctdb_tunable, max_queue_depth_drop_msg), false },
-	{ "UseStatusEvents",     0,  offsetof(struct ctdb_tunable, use_status_events_for_monitoring), false },
 	{ "AllowUnhealthyDBRead", 0,  offsetof(struct ctdb_tunable, allow_unhealthy_db_read), false },
 	{ "StatHistoryInterval",  1,  offsetof(struct ctdb_tunable, stat_history_interval), false },
 	{ "DeferredAttachTO",  120,  offsetof(struct ctdb_tunable, deferred_attach_timeout), false },
diff --git a/ctdb/tests/eventscripts/stubs/rpcinfo b/ctdb/tests/eventscripts/stubs/rpcinfo
index dd175f3..1866b59 100755
--- a/ctdb/tests/eventscripts/stubs/rpcinfo
+++ b/ctdb/tests/eventscripts/stubs/rpcinfo
@@ -5,23 +5,18 @@ prog="rpcinfo"
 usage ()
 {
     cat >&2 <<EOF
-Usage: $prog -u host program [version]
+Usage: $prog -T tcp host program [version]
 
 A fake rpcinfo stub that succeeds for items in FAKE_RPCINFO_SERVICES,
 depending on command-line options.
 
-Note that "-u host" is ignored.
-
 EOF
     exit 1
 }
 
 parse_options ()
 {
-    # $POSIXLY_CORRECT means that the command passed to onnode can
-    # take options and getopt won't reorder things to make them
-    # options to this script.
-    _temp=$(POSIXLY_CORRECT=1 getopt -n "$prog" -o "u:h" -l unix -l help -- "$@")
+    _temp=$(getopt -n "$prog" -o "T:h" -- "$@")
 
     [ $? != 0 ] && usage
 
@@ -29,12 +24,17 @@ parse_options ()
 
     while true ; do
 	case "$1" in
-	    -u) shift 2 ;;  # ignore
+	    -T) netid="$2"; shift 2 ;;
 	    --) shift ; break ;;
-	    -h|--help|*) usage ;; # * shouldn't happen, so this is reasonable.
+	    -h|*) usage ;; # * shouldn't happen, so this is reasonable.
 	esac
     done
 
+    [ "$netid" = "tcp" ] || usage
+
+    host="$1" ; shift
+    [ "$host" = "localhost" -o "$host" = "127.0.0.1" ] || usage
+
     [ 1 -le $# -a $# -le 2 ] || usage
 
     p="$1"
@@ -49,7 +49,7 @@ for i in ${FAKE_RPCINFO_SERVICES} ; do
     IFS="${IFS}:"
     set -- $i
     # $1 = program, $2 = low version, $3 = high version
-    
+
     if [ "$1" = "$p" ] ; then
 	if [ -n "$v" ] ; then
 	    if [ "$2" -le "$v" -a "$v" -le "$3" ] ; then


-- 
Samba Shared Repository


More information about the samba-cvs mailing list